This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 218787 - Review Request: python-pycurl - A Python interface to libcurl
Review Request: python-pycurl - A Python interface to libcurl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 218831
  Show dependency treegraph
 
Reported: 2006-12-07 10:29 EST by Jeffrey C. Ollie
Modified: 2007-12-17 11:16 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 17:04:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-12-07 10:29:11 EST
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/python-pycurl-7.15.5.1-1.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/python-pycurl-7.15.5.1-1.fc6.spec
Description:

PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.
Comment 1 Michał Bentkowski 2006-12-07 10:56:52 EST
According to Packaging Naming it would be better, if a package's name were
pycurl, wouldn't it? There is no need to use 'python-' because first 'py'
letters suggest that it is a python package.
Nevertheless, there is a more serious problem namely package build fails on
x86_64. To fix it you have to change %files section to make it looks like that:
%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README TODO examples doc tests
%{python_sitearch}/curl
%{python_sitearch}/pycurl.so

I have also removed INSTALL file as it isn't needed when package's already
installed.
Comment 2 Jeffrey C. Ollie 2006-12-07 13:28:10 EST
Spec URL:
http://repo.ocjtech.us/misc/fedora/6/SRPMS/python-pycurl-7.15.5.1-2.fc6.spec
SRPM URL:
http://repo.ocjtech.us/misc/fedora/6/SRPMS/python-pycurl-7.15.5.1-2.fc6.spec

%changelog
* Thu Dec  7 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 7.15.5.1-2
- Remove INSTALL from the list of documentation
- Use python_sitearch for all of the files
Comment 3 Jeffrey C. Ollie 2006-12-07 13:45:58 EST
(In reply to comment #1)
> According to Packaging Naming it would be better, if a package's name were
> pycurl, wouldn't it? There is no need to use 'python-' because first 'py'
> letters suggest that it is a python package.

The way that I read the naming guidelines pycurl would be allowed since there
was a "py" in the name, but python-pycurl was preferred.  In any case, there's a
"Provide: pycurl" so that "yum install pycurl" should work.
Comment 4 Michał Bentkowski 2006-12-07 14:09:33 EST
MUST items:
 * rpmlint is quiet
?* is the package named well?
?* is spec file name good?
 * package meets Packaging Guidelines
 * package is licensed with an LGPL open-source compatible license
 * License field in spec file matches actual license
 * license file is included in %doc
 * md5sums are matching (464cfbeba150d99d92a407c7c8b751de)
 * package successfully compiles on x86_64
 * BuildRequires listed well
 * no locales
 * no need to %post and %postun sections
 * not relocatable
 * package owns directories well
 * no duplicates in %files
 * %files section includes %defattr
 * proper %clean section
 * macros used well

(In reply to comment #3)
> In any case, there's a
> "Provide: pycurl" so that "yum install pycurl" should work.

I can't see it anywhere so add "Provides: pycurl" into the spec file and I'll
be happy to approve this package.
Comment 5 Jeffrey C. Ollie 2006-12-07 14:30:21 EST
(Annoyed Grunt!) I coulda swore that I had it in there...  It should be there
now though:

Spec: http://repo.ocjtech.us/misc/fedora/6/SRPMS/python-pycurl-7.15.5.1-3.fc6.spec
SRPM:
http://repo.ocjtech.us/misc/fedora/6/SRPMS/python-pycurl-7.15.5.1-3.fc6.src.rpm

%changelog
* Thu Dec  7 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 7.15.5.1-3
- Don't forget to Provide: pycurl!!!
Comment 6 Michał Bentkowski 2006-12-07 16:49:46 EST
Now it looks really good :)

Approved!
Comment 7 Jeffrey C. Ollie 2006-12-07 17:04:25 EST
Thanks for the review!  Imported and built for devel, branches for FC-5 and FC-6
requested.
Comment 8 Jeffrey C. Ollie 2007-12-16 21:16:33 EST
Package Change Request
======================
Package Name: python-pycurl
New Branches: EL-4 EL-5
Updated EPEL Owners: jcollie
Comment 9 Tom "spot" Callaway 2007-12-17 11:16:11 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.